GNU bug report logs - #58290
guile ssh error on guix deploy

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Andrew Tropin <andrew@HIDDEN>; dated Tue, 4 Oct 2022 11:10:01 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 58290 <at> debbugs.gnu.org:


Received: (at 58290) by debbugs.gnu.org; 18 Oct 2022 15:31:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 18 11:31:59 2022
Received: from localhost ([127.0.0.1]:53803 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1okoZP-00083f-VZ
	for submit <at> debbugs.gnu.org; Tue, 18 Oct 2022 11:31:59 -0400
Received: from eggs.gnu.org ([209.51.188.92]:48158)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1okoZO-00083T-FC
 for 58290 <at> debbugs.gnu.org; Tue, 18 Oct 2022 11:31:55 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:39050)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1okoZI-0000K2-QV; Tue, 18 Oct 2022 11:31:48 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=TtWPOrX2Qx0d3Axf2j8p0aOX5SVhQQUOloNT5KF6WQk=; b=cT1CHBdeSyvzE8wo5bxt
 Oc1BAmkMXxyGeAAf5XGfGjcW8HfEOy2BGazMxcJnuhTULJlAkkGzHPBTI9QHa26HqgeSWvNDOUvvc
 uU5OrtFrkU0GbNOo7AgaolEZ2tkkxls2kjDVaabYcuu6hWOgxi8G20zcMO+4tNa03D+NqN5vUsjdq
 81IG2PBdAHJe1fgACWnXI9jaZYv8w87Kn3znxpWblS6ayxsOkFlaRtu4nY+svJ0Ov5vlIgdYKjqKk
 WFcON/xQhCSwAKYFGogg5e76TZcXG7xBlS+Wbj3zoAVSWp6HY/uIo0YxOb59hlKgaSZhWekiEvGtC
 084OitxccbzLfw==;
Received: from [193.50.110.209] (port=37976 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1okoZF-00047c-Ai; Tue, 18 Oct 2022 11:31:46 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Marius Bakke <marius@HIDDEN>
Subject: Re: bug#58290: guile ssh error on guix deploy
References: <87sfk34zhj.fsf@HIDDEN> <87bkqm8p5z.fsf@HIDDEN>
 <87o7uec39j.fsf@HIDDEN> <8735bmsee9.fsf@HIDDEN>
 <87h702uzrb.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: Septidi 27 =?utf-8?Q?Vend=C3=A9miaire?= an 231 de la
 =?utf-8?Q?R=C3=A9volution=2C?= jour du Piment
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Tue, 18 Oct 2022 17:31:42 +0200
In-Reply-To: <87h702uzrb.fsf@HIDDEN> (Marius Bakke's message of "Mon, 17 Oct
 2022 19:27:20 +0200")
Message-ID: <87y1tdkv1d.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58290
Cc: 58290 <at> debbugs.gnu.org, Andrew Tropin <andrew@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

Marius Bakke <marius@HIDDEN> skribis:

> I have the same problem.  Log messages around failure look something
> like this (extracted from above message):
>
>   Oct  4 11:51:49 localhost shepherd[1]: Service sshd-2 has been started.=
=20
>   Oct  4 11:51:50 localhost sshd[250]: Accepted publickey for bob from 18=
5.70.53.164 port 1915 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+=
fxK3d3Y
>   Oct  4 11:52:28 localhost sshd[252]: error: no more sessions
>   Oct  4 11:52:28 localhost shepherd[1]: 1 connection still in use after =
sshd-2 termination.=20
>   Oct  4 11:52:28 localhost shepherd[1]: Service sshd-2 has been disabled=
.=20
>
> Then deploy crashes with 'Channel opening failure'.

=E2=80=9Cno more sessions=E2=80=9D comes from this:

--8<---------------cut here---------------start------------->8---
int
session_open(Authctxt *authctxt, int chanid)
{
	Session *s =3D session_new();
	debug("session_open: channel %d", chanid);
	if (s =3D=3D NULL) {
		error("no more sessions");
		return 0;
	}

[...]

}
--8<---------------cut here---------------end--------------->8---

Would be interesting to run sshd in verbose/debug mode and see why we
hit that; it could be because the maximum number of sessions has been
reached or something.

> Due to the number of SSH connections made by deploy and frequent
> occurence of this problem, I was not able to successfully deploy through
> many attempts.

Ouch.  Normally, thanks to memoization, =E2=80=98guix deploy=E2=80=99 opens=
 only one
session per machine.  (I think it works well with the 25 local build
machines behind berlin; it=E2=80=99s also fine for a small set of machines I
take care of at work.)

> I found that removing the memoizing open-machine-ssh-session* in
> (gnu machine ssh) works around it and can happily deploy again.
>
> (that is, just use 'open-machine-ssh-session' instead)

Interesting.  That gives us a hint.  Could you add a =E2=80=98pk=E2=80=99 in
=E2=80=98open-machine-ssh-session*=E2=80=99 to see how many connections it =
opens?

Thanks for your feedback!

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#58290; Package guix. Full text available.

Message received at 58290 <at> debbugs.gnu.org:


Received: (at 58290) by debbugs.gnu.org; 17 Oct 2022 17:27:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 17 13:27:42 2022
Received: from localhost ([127.0.0.1]:49877 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1okTtt-0000nl-Vc
	for submit <at> debbugs.gnu.org; Mon, 17 Oct 2022 13:27:42 -0400
Received: from eggs.gnu.org ([209.51.188.92]:48682)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <marius@HIDDEN>) id 1okTtr-0000nU-8O
 for 58290 <at> debbugs.gnu.org; Mon, 17 Oct 2022 13:27:40 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:42420)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <marius@HIDDEN>)
 id 1okTtk-0001X8-5Y; Mon, 17 Oct 2022 13:27:33 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:Date:References:In-Reply-To:Subject:To:
 From; bh=kWjzZj6hhE50E2FReOAgVfHfVvGSplAXy0dSWiBL3mk=; b=DYxLDX2MwVykO+KMjFzc
 xLJY2gD8M8Z5GM629aKstCzVS7cstq5mAz59k37KPjpgAP53Qh/tPjVfwhIkod1gK5BoTDmSvYlKM
 YPLpDrMVJ4Km1gY3HucbiiWo8vwSK1S60HYxD+G4Eam6EjK92xiTiUIe5edjW39bQiAaOtqARk3GF
 bzXoBm8eXCp03KGTia++BAMKFsmWnrzblYWljrLcC5QoMTwEpXeQXsCeAA2c9aeZm6Y0TsnINUOsA
 Vaxg5xnWyYfgpZqBwJX2Y7wefzSvW2CezwtCz9Dd6iyBqPLQ/J06N02r42lsiqi94rxQGfgXq4iFD
 L0KT7ABvHfhjQg==;
Received: from [84.211.203.64] (port=55724 helo=localhost)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <marius@HIDDEN>)
 id 1okTtb-000418-9y; Mon, 17 Oct 2022 13:27:27 -0400
From: Marius Bakke <marius@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>, Andrew Tropin
 <andrew@HIDDEN>
Subject: Re: bug#58290: guile ssh error on guix deploy
In-Reply-To: <8735bmsee9.fsf@HIDDEN>
References: <87sfk34zhj.fsf@HIDDEN> <87bkqm8p5z.fsf@HIDDEN>
 <87o7uec39j.fsf@HIDDEN> <8735bmsee9.fsf@HIDDEN>
Date: Mon, 17 Oct 2022 19:27:20 +0200
Message-ID: <87h702uzrb.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58290
Cc: 58290 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Ludovic Court=C3=A8s <ludo@HIDDEN> skriver:

> Hi,
>
> Andrew Tropin <andrew@HIDDEN> skribis:
>
>>>> ice-9/boot-9.scm:1685:16: In procedure raise-exception:
>>>> Throw to key `guile-ssh-error' with args `("channel-open-session" "Cha=
nnel opening failure: channel 67 error (2) open failed" #<input-output: cha=
nnel (closed) 7f7d1af9e140> #f)'.
>>>
>>> Are there any hints from sshd in the /var/log/messages of that machine
>>> as to why the connection was closed?
>>
>> bob@pinky /var/log$ zcat messages.1.gz | grep "Oct  4" | grep ssh
>
> It=E2=80=99s hard (if not impossible) to see which lines correspond to th=
e error
> above.  :-)
>
> Could try to reproduce the bug, and have =E2=80=98tail -f /var/log/messag=
es=E2=80=99
> running on the server side so you can capture just the right lines?
> /var/log/debug might be interesting too.

I have the same problem.  Log messages around failure look something
like this (extracted from above message):

  Oct  4 11:51:49 localhost shepherd[1]: Service sshd-2 has been started.=20
  Oct  4 11:51:50 localhost sshd[250]: Accepted publickey for bob from 185.=
70.53.164 port 1915 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fx=
K3d3Y
  Oct  4 11:52:28 localhost sshd[252]: error: no more sessions
  Oct  4 11:52:28 localhost shepherd[1]: 1 connection still in use after ss=
hd-2 termination.=20
  Oct  4 11:52:28 localhost shepherd[1]: Service sshd-2 has been disabled.=
=20

Then deploy crashes with 'Channel opening failure'.

Due to the number of SSH connections made by deploy and frequent
occurence of this problem, I was not able to successfully deploy through
many attempts.

I found that removing the memoizing open-machine-ssh-session* in
(gnu machine ssh) works around it and can happily deploy again.

(that is, just use 'open-machine-ssh-session' instead)

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIUEARYKAC0WIQRNTknu3zbaMQ2ddzTocYulkRQQdwUCY02QeA8cbWFyaXVzQGdu
dS5vcmcACgkQ6HGLpZEUEHfSOwEAvIflhP7SIu4QVTzDTPeVj5tf4c5yKWUkCqzT
Fp5bbZ0BAOkXwYDz1lmBlIJzRzZ7TAErhs3EXLvyUbqh/eBliEEF
=BIX7
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#58290; Package guix. Full text available.

Message received at 58290 <at> debbugs.gnu.org:


Received: (at 58290) by debbugs.gnu.org; 17 Oct 2022 14:39:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 17 10:39:38 2022
Received: from localhost ([127.0.0.1]:49619 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1okRHG-0002Vy-9G
	for submit <at> debbugs.gnu.org; Mon, 17 Oct 2022 10:39:38 -0400
Received: from eggs.gnu.org ([209.51.188.92]:60078)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1okRHE-0002Vl-7g
 for 58290 <at> debbugs.gnu.org; Mon, 17 Oct 2022 10:39:36 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:55492)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1okRH8-0006Fq-Dp; Mon, 17 Oct 2022 10:39:30 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=bfSSIH6qhBHGpg2V0pEmSt4te/HVlOdbLYfGoY9Sn2s=; b=F/T9DQiR7EGQDScCOvsf
 81SbtjxFG1Xiq26axoLXPDIwHGr6VZsyp4J8F4HpGIqZ2pwdKNVqvudPMBAwS2st7v3vhIDyhWwUw
 RmM5smlng2wKOkna4nNjYfNwyezAkakzeyFkmCuwedmCgQ6oIsEvxHqq5eByUw3BPRqH1UEeZseyp
 62L5zEHpc/zMK51XC3w1/vQbFKeUldhNC96O2PnZKNZdnjBlZdgdqhVwIKuv5rEvsB18eGQ20ePNu
 yg+ORsO6y4KDxPjfGS/MB4cwiVAd8BpCPOZ8ftqLnbNtwxKgiY2/3pdmMLktsJg0/nCC8YesGA6w8
 sP8uh03u/xiHtQ==;
Received: from nat-eduroam-36-gw-01-bso.bordeaux.inria.fr
 ([194.199.1.36]:46358 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1okRH7-0005Ny-Vd; Mon, 17 Oct 2022 10:39:30 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Andrew Tropin <andrew@HIDDEN>
Subject: Re: bug#58290: guile ssh error on guix deploy
References: <87sfk34zhj.fsf@HIDDEN> <87bkqm8p5z.fsf@HIDDEN>
 <87o7uec39j.fsf@HIDDEN>
Date: Mon, 17 Oct 2022 16:39:26 +0200
In-Reply-To: <87o7uec39j.fsf@HIDDEN> (Andrew Tropin's message of "Fri, 14 Oct
 2022 10:45:12 +0400")
Message-ID: <8735bmsee9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58290
Cc: 58290 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

Andrew Tropin <andrew@HIDDEN> skribis:

>>> ice-9/boot-9.scm:1685:16: In procedure raise-exception:
>>> Throw to key `guile-ssh-error' with args `("channel-open-session" "Chan=
nel opening failure: channel 67 error (2) open failed" #<input-output: chan=
nel (closed) 7f7d1af9e140> #f)'.
>>
>> Are there any hints from sshd in the /var/log/messages of that machine
>> as to why the connection was closed?
>
> bob@pinky /var/log$ zcat messages.1.gz | grep "Oct  4" | grep ssh

It=E2=80=99s hard (if not impossible) to see which lines correspond to the =
error
above.  :-)

Could try to reproduce the bug, and have =E2=80=98tail -f /var/log/messages=
=E2=80=99
running on the server side so you can capture just the right lines?
/var/log/debug might be interesting too.

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#58290; Package guix. Full text available.

Message received at 58290 <at> debbugs.gnu.org:


Received: (at 58290) by debbugs.gnu.org; 14 Oct 2022 06:45:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 14 02:45:30 2022
Received: from localhost ([127.0.0.1]:35604 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ojERk-00060q-Gr
	for submit <at> debbugs.gnu.org; Fri, 14 Oct 2022 02:45:30 -0400
Received: from relay2-d.mail.gandi.net ([217.70.183.194]:48493)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andrew@HIDDEN>) id 1ojERf-00060M-Bc
 for 58290 <at> debbugs.gnu.org; Fri, 14 Oct 2022 02:45:26 -0400
Received: (Authenticated sender: andrew@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id B9FFB40011;
 Fri, 14 Oct 2022 06:45:16 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=trop.in; s=gm1;
 t=1665729917;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 in-reply-to:in-reply-to:references:references;
 bh=kvmTD6INaZ6g7fb8fWFPlzWUGelW1GpVwDVPVL2plIU=;
 b=hm7HuLNAScbFap4ObHee/BIGUAvZe9zzcvg4p1qKTwAlqFqyI0Bozp9UqJzLMgktRbCLfu
 w6spopgQ+0u28SkKo0kYbIZyu9FQxYGLbqr5z48T+zMLU7UzjUetMuUYmTNha4T7uV+j8t
 AWfSyt8byWLDVowlAEze5pnb23+x4jIWjrNZ7ZiAxtT0ypBhG+/p5r5CAK9Om37iNL5thx
 J6MGeud3FB+b1nZFJhurKHsaBUSd/qJceT28OIQrYwmaRFQ9kVrN83EIzLmJL2ey31uhBg
 /St9uefyHIy5mZ7odqcjowgxcFaMxKK1SWDbJOx1uf1LyUQ8FIG7sBJJ5kZajg==
From: Andrew Tropin <andrew@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#58290: guile ssh error on guix deploy
In-Reply-To: <87bkqm8p5z.fsf@HIDDEN>
References: <87sfk34zhj.fsf@HIDDEN> <87bkqm8p5z.fsf@HIDDEN>
Date: Fri, 14 Oct 2022 10:45:12 +0400
Message-ID: <87o7uec39j.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 58290
Cc: 58290 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On 2022-10-08 14:39, Ludovic Court=C3=A8s wrote:

> Hi!
>
> Andrew Tropin <andrew@HIDDEN> skribis:
>
>> From time to time I get the following error, the only thing I change is
>> IPv6 config in static-networking service.  Sometimes it fails, but after
>> a few more attempts with the same config it deploys sucessfully.
>>
>> -*- mode: compilation; default-directory: "~/work/abcdw/trop.in/" -*-
>> Compilation started at Tue Oct  4 14:19:46
>>
>> make -k deploy-pinky
>> guix deploy ./guix/pinky.scm
>
> [...]
>
>> In guix/ssh.scm:
>>     376:2  7 (send-files #<store-connection 256.99 7f7d1207b3c0> _ # =E2=
=80=A6)
>>     222:5  6 (remote-run (begin (use-modules (guix) (srfi #) # #) =E2=80=
=A6) #)
>> In ssh/popen.scm:
>>      64:4  5 (open-remote-pipe* _ "r+" _ . _)
>> In unknown file:
>>            4 (channel-open-session #<input-output: channel (closed) =E2=
=80=A6>)
>> In ice-9/boot-9.scm:
>>   1685:16  3 (raise-exception _ #:continuable? _)
>>   1683:16  2 (raise-exception _ #:continuable? _)
>>   1685:16  1 (raise-exception _ #:continuable? _)
>>   1685:16  0 (raise-exception _ #:continuable? _)
>>
>> ice-9/boot-9.scm:1685:16: In procedure raise-exception:
>> Throw to key `guile-ssh-error' with args `("channel-open-session" "Chann=
el opening failure: channel 67 error (2) open failed" #<input-output: chann=
el (closed) 7f7d1af9e140> #f)'.
>
> Are there any hints from sshd in the /var/log/messages of that machine
> as to why the connection was closed?

=2D-8<---------------cut here---------------start------------->8---
bob@pinky /var/log$ zcat messages.1.gz | grep "Oct  4" | grep ssh
Oct  4 05:57:09 localhost shepherd[1]: Service sshd-380 has been started.=20
Oct  4 05:57:11 localhost sshd[15950]: Accepted publickey for bob from 201:=
2a73:cac3:e128:cf3d:8dc:8afa:df66 port 54710 ssh2: RSA SHA256:/X3jyhyMizAOK=
OjCfXK5cLN3Pa0vmi7dbQG+fxK3d3Y
Oct  4 06:34:17 localhost shepherd[1]: Service sshd-381 has been started.=20
Oct  4 06:34:19 localhost sshd[15958]: Accepted publickey for bob from 201:=
2a73:cac3:e128:cf3d:8dc:8afa:df66 port 57064 ssh2: RSA SHA256:/X3jyhyMizAOK=
OjCfXK5cLN3Pa0vmi7dbQG+fxK3d3Y
Oct  4 06:36:55 localhost shepherd[1]: Service sshd-382 has been started.=20
Oct  4 06:36:57 localhost sshd[15991]: Accepted publickey for bob from 201:=
2a73:cac3:e128:cf3d:8dc:8afa:df66 port 41088 ssh2: RSA SHA256:/X3jyhyMizAOK=
OjCfXK5cLN3Pa0vmi7dbQG+fxK3d3Y
Oct  4 06:37:30 localhost shepherd[1]: Service sshd-383 has been started.=20
Oct  4 06:37:33 localhost sshd[16031]: Accepted publickey for bob from 201:=
2a73:cac3:e128:cf3d:8dc:8afa:df66 port 56148 ssh2: RSA SHA256:/X3jyhyMizAOK=
OjCfXK5cLN3Pa0vmi7dbQG+fxK3d3Y
Oct  4 06:43:39 localhost shepherd[1]: 3 connections still in use after ssh=
d-382 termination.=20
Oct  4 06:43:39 localhost shepherd[1]: Service sshd-382 (PID 15991) exited =
with 255.=20
Oct  4 06:43:39 localhost shepherd[1]: Service sshd-382 has been disabled.=
=20
Oct  4 06:43:39 localhost shepherd[1]: Transient service sshd-382 terminate=
d, now unregistered.=20
Oct  4 06:43:41 localhost shepherd[1]: Service sshd-384 has been started.=20
Oct  4 06:43:42 localhost sshd[16166]: Accepted publickey for bob from 201:=
2a73:cac3:e128:cf3d:8dc:8afa:df66 port 36040 ssh2: RSA SHA256:/X3jyhyMizAOK=
OjCfXK5cLN3Pa0vmi7dbQG+fxK3d3Y
Oct  4 06:43:49 localhost shepherd[1]: 3 connections still in use after ssh=
d-384 termination.=20
Oct  4 06:43:49 localhost shepherd[1]: Service sshd-384 has been disabled.=
=20
Oct  4 06:43:49 localhost shepherd[1]: Transient service sshd-384 terminate=
d, now unregistered.=20
Oct  4 06:48:58 localhost shepherd[1]: Service sshd-385 has been started.=20
Oct  4 06:49:00 localhost sshd[16205]: Accepted publickey for bob from 201:=
2a73:cac3:e128:cf3d:8dc:8afa:df66 port 34134 ssh2: RSA SHA256:/X3jyhyMizAOK=
OjCfXK5cLN3Pa0vmi7dbQG+fxK3d3Y
Oct  4 06:52:05 localhost shepherd[1]: Service sshd-386 has been started.=20
Oct  4 06:52:06 localhost sshd[16212]: Accepted publickey for bob from 201:=
2a73:cac3:e128:cf3d:8dc:8afa:df66 port 55922 ssh2: RSA SHA256:/X3jyhyMizAOK=
OjCfXK5cLN3Pa0vmi7dbQG+fxK3d3Y
Oct  4 06:53:02 localhost shepherd[1]: 4 connections still in use after ssh=
d-386 termination.=20
Oct  4 06:53:02 localhost shepherd[1]: Service sshd-386 has been disabled.=
=20
Oct  4 06:53:02 localhost shepherd[1]: Transient service sshd-386 terminate=
d, now unregistered.=20
Oct  4 06:53:03 localhost shepherd[1]: Service sshd-387 has been started.=20
Oct  4 06:53:04 localhost sshd[16370]: Accepted publickey for bob from 201:=
2a73:cac3:e128:cf3d:8dc:8afa:df66 port 50604 ssh2: RSA SHA256:/X3jyhyMizAOK=
OjCfXK5cLN3Pa0vmi7dbQG+fxK3d3Y
Oct  4 06:53:11 localhost shepherd[1]: 4 connections still in use after ssh=
d-387 termination.=20
Oct  4 06:53:11 localhost shepherd[1]: Service sshd-387 has been disabled.=
=20
Oct  4 06:53:11 localhost shepherd[1]: Transient service sshd-387 terminate=
d, now unregistered.=20
Oct  4 06:54:25 localhost shepherd[1]: Service ssh-daemon has been stopped.=
=20
Oct  4 06:57:42 localhost shepherd[1]: Service ssh-daemon has been started.=
=20
Oct  4 06:58:20 localhost shepherd[1]: Service sshd-1 has been started.=20
Oct  4 06:58:22 localhost sshd[239]: Accepted publickey for bob from 185.11=
5.7.223 port 10436 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fxK=
3d3Y
Oct  4 07:01:22 localhost shepherd[1]: Service sshd-2 has been started.=20
Oct  4 07:01:24 localhost sshd[247]: Accepted publickey for bob from 185.11=
5.7.223 port 29449 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fxK=
3d3Y
Oct  4 07:02:29 localhost shepherd[1]: Service sshd-3 has been started.=20
Oct  4 07:02:31 localhost sshd[254]: Accepted publickey for bob from 185.11=
5.7.223 port 29456 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fxK=
3d3Y
Oct  4 07:03:05 localhost sshd[256]: error: no more sessions
Oct  4 07:03:05 localhost shepherd[1]: 2 connections still in use after ssh=
d-3 termination.=20
Oct  4 07:03:05 localhost shepherd[1]: Service sshd-3 has been disabled.=20
Oct  4 07:03:05 localhost shepherd[1]: Transient service sshd-3 terminated,=
 now unregistered.=20
Oct  4 07:04:21 localhost shepherd[1]: Service sshd-4 has been started.=20
Oct  4 07:04:22 localhost sshd[385]: Accepted publickey for bob from 185.11=
5.7.223 port 10409 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fxK=
3d3Y
Oct  4 07:04:36 localhost shepherd[1]: Service sshd-5 has been started.=20
Oct  4 07:04:38 localhost sshd[435]: Accepted publickey for bob from 185.11=
5.7.223 port 10426 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fxK=
3d3Y
Oct  4 07:04:50 localhost sshd[387]: error: no more sessions
Oct  4 07:04:50 localhost shepherd[1]: 3 connections still in use after ssh=
d-4 termination.=20
Oct  4 07:04:50 localhost shepherd[1]: Service sshd-4 has been disabled.=20
Oct  4 07:04:50 localhost shepherd[1]: Transient service sshd-4 terminated,=
 now unregistered.=20
Oct  4 07:05:10 localhost shepherd[1]: Service sshd-6 has been started.=20
Oct  4 07:05:12 localhost sshd[508]: Accepted publickey for bob from 185.11=
5.7.223 port 29519 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fxK=
3d3Y
Oct  4 07:05:57 localhost shepherd[1]: 3 connections still in use after ssh=
d-6 termination.=20
Oct  4 07:05:57 localhost shepherd[1]: Service sshd-6 has been disabled.=20
Oct  4 07:05:57 localhost shepherd[1]: Transient service sshd-6 terminated,=
 now unregistered.=20
Oct  4 07:05:57 localhost shepherd[1]: Service sshd-7 has been started.=20
Oct  4 07:05:59 localhost sshd[666]: Accepted publickey for bob from 185.11=
5.7.223 port 29495 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fxK=
3d3Y
Oct  4 07:06:03 localhost shepherd[1]: 3 connections still in use after ssh=
d-7 termination.=20
Oct  4 07:06:03 localhost shepherd[1]: Service sshd-7 has been disabled.=20
Oct  4 07:06:03 localhost shepherd[1]: Transient service sshd-7 terminated,=
 now unregistered.=20
Oct  4 07:07:13 localhost shepherd[1]: Service sshd-8 has been started.=20
Oct  4 07:07:14 localhost sshd[699]: Accepted publickey for bob from 185.11=
5.7.223 port 29463 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fxK=
3d3Y
Oct  4 07:07:51 localhost shepherd[1]: 3 connections still in use after ssh=
d-8 termination.=20
Oct  4 07:07:51 localhost shepherd[1]: Service sshd-8 has been disabled.=20
Oct  4 07:07:51 localhost shepherd[1]: Transient service sshd-8 terminated,=
 now unregistered.=20
Oct  4 07:07:52 localhost shepherd[1]: Service sshd-9 has been started.=20
Oct  4 07:07:54 localhost sshd[857]: Accepted publickey for bob from 185.11=
5.7.223 port 10407 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fxK=
3d3Y
Oct  4 07:07:58 localhost shepherd[1]: 3 connections still in use after ssh=
d-9 termination.=20
Oct  4 07:07:58 localhost shepherd[1]: Service sshd-9 (PID 857) exited with=
 255.=20
Oct  4 07:07:58 localhost shepherd[1]: Service sshd-9 has been disabled.=20
Oct  4 07:07:58 localhost shepherd[1]: Transient service sshd-9 terminated,=
 now unregistered.=20
Oct  4 07:08:22 localhost shepherd[1]: Service sshd-10 has been started.=20
Oct  4 07:08:24 localhost sshd[889]: Accepted publickey for bob from 185.11=
5.7.223 port 10478 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fxK=
3d3Y
Oct  4 07:08:55 localhost sshd[891]: error: no more sessions
Oct  4 07:08:55 localhost shepherd[1]: 3 connections still in use after ssh=
d-10 termination.=20
Oct  4 07:08:55 localhost shepherd[1]: Service sshd-10 has been disabled.=20
Oct  4 07:08:55 localhost shepherd[1]: Transient service sshd-10 terminated=
, now unregistered.=20
Oct  4 07:09:24 localhost shepherd[1]: Service sshd-11 has been started.=20
Oct  4 07:09:25 localhost sshd[1010]: Accepted publickey for bob from 185.1=
15.7.223 port 10489 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fx=
K3d3Y
Oct  4 07:10:01 localhost shepherd[1]: 3 connections still in use after ssh=
d-11 termination.=20
Oct  4 07:10:01 localhost shepherd[1]: Service sshd-11 (PID 1010) exited wi=
th 255.=20
Oct  4 07:10:01 localhost shepherd[1]: Service sshd-11 has been disabled.=20
Oct  4 07:10:01 localhost shepherd[1]: Transient service sshd-11 terminated=
, now unregistered.=20
Oct  4 07:10:01 localhost shepherd[1]: Service sshd-12 has been started.=20
Oct  4 07:10:03 localhost sshd[1164]: Accepted publickey for bob from 185.1=
15.7.223 port 29458 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fx=
K3d3Y
Oct  4 07:10:08 localhost shepherd[1]: 3 connections still in use after ssh=
d-12 termination.=20
Oct  4 07:10:08 localhost shepherd[1]: Service sshd-12 (PID 1164) exited wi=
th 255.=20
Oct  4 07:10:08 localhost shepherd[1]: Service sshd-12 has been disabled.=20
Oct  4 07:10:08 localhost shepherd[1]: Transient service sshd-12 terminated=
, now unregistered.=20
Oct  4 07:11:09 localhost shepherd[1]: Service sshd-1 has been stopped.=20
Oct  4 07:11:09 localhost shepherd[1]: Transient service sshd-1 unregistere=
d.=20
Oct  4 07:11:09 localhost shepherd[1]: Service ssh-daemon has been stopped.=
=20
Oct  4 07:11:59 localhost shepherd[1]: Service ssh-daemon has been started.=
=20
Oct  4 07:12:02 localhost shepherd[1]: Service sshd-1 has been started.=20
Oct  4 07:12:04 localhost sshd[241]: Accepted publickey for bob from 185.11=
5.7.223 port 10202 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fxK=
3d3Y
Oct  4 07:15:09 localhost shepherd[1]: Service sshd-2 has been started.=20
Oct  4 07:15:11 localhost sshd[269]: Accepted publickey for bob from 185.11=
5.7.223 port 29443 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fxK=
3d3Y
Oct  4 07:16:08 localhost sshd[271]: error: no more sessions
Oct  4 07:16:08 localhost shepherd[1]: 1 connection still in use after sshd=
-2 termination.=20
Oct  4 07:16:08 localhost shepherd[1]: Service sshd-2 has been disabled.=20
Oct  4 07:16:08 localhost shepherd[1]: Transient service sshd-2 terminated,=
 now unregistered.=20
Oct  4 07:16:31 localhost shepherd[1]: Service sshd-3 has been started.=20
Oct  4 07:16:33 localhost sshd[404]: Accepted publickey for bob from 185.11=
5.7.223 port 10413 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fxK=
3d3Y
Oct  4 07:17:13 localhost shepherd[1]: 1 connection still in use after sshd=
-3 termination.=20
Oct  4 07:17:13 localhost shepherd[1]: Service sshd-3 (PID 404) exited with=
 255.=20
Oct  4 07:17:13 localhost shepherd[1]: Service sshd-3 has been disabled.=20
Oct  4 07:17:13 localhost shepherd[1]: Transient service sshd-3 terminated,=
 now unregistered.=20
Oct  4 07:17:14 localhost shepherd[1]: Service sshd-4 has been started.=20
Oct  4 07:17:15 localhost sshd[556]: Accepted publickey for bob from 185.11=
5.7.223 port 10454 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fxK=
3d3Y
Oct  4 07:17:19 localhost shepherd[1]: 1 connection still in use after sshd=
-4 termination.=20
Oct  4 07:17:19 localhost shepherd[1]: Service sshd-4 has been disabled.=20
Oct  4 07:17:19 localhost shepherd[1]: Transient service sshd-4 terminated,=
 now unregistered.=20
Oct  4 07:27:39 localhost shepherd[1]: Service sshd-5 has been started.=20
Oct  4 07:27:41 localhost sshd[602]: Accepted publickey for bob from 185.11=
5.7.223 port 29522 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fxK=
3d3Y
Oct  4 07:28:13 localhost sshd[604]: error: no more sessions
Oct  4 07:28:13 localhost shepherd[1]: 1 connection still in use after sshd=
-5 termination.=20
Oct  4 07:28:13 localhost shepherd[1]: Service sshd-5 has been disabled.=20
Oct  4 07:28:13 localhost shepherd[1]: Transient service sshd-5 terminated,=
 now unregistered.=20
Oct  4 07:28:20 localhost shepherd[1]: Service sshd-6 has been started.=20
Oct  4 07:28:21 localhost sshd[723]: Accepted publickey for bob from 185.11=
5.7.223 port 29474 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fxK=
3d3Y
Oct  4 07:28:50 localhost sshd[725]: error: no more sessions
Oct  4 07:28:50 localhost shepherd[1]: 1 connection still in use after sshd=
-6 termination.=20
Oct  4 07:28:50 localhost shepherd[1]: Service sshd-6 has been disabled.=20
Oct  4 07:28:50 localhost shepherd[1]: Transient service sshd-6 terminated,=
 now unregistered.=20
Oct  4 07:30:39 localhost shepherd[1]: Service sshd-7 has been started.=20
Oct  4 07:30:40 localhost sshd[840]: Accepted publickey for bob from 185.11=
5.7.223 port 10445 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fxK=
3d3Y
Oct  4 07:31:44 localhost shepherd[1]: Service sshd-8 has been started.=20
Oct  4 07:31:46 localhost sshd[857]: Accepted publickey for bob from 185.11=
5.7.223 port 10393 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fxK=
3d3Y
Oct  4 07:32:13 localhost sshd[859]: error: no more sessions
Oct  4 07:32:13 localhost shepherd[1]: 2 connections still in use after ssh=
d-8 termination.=20
Oct  4 07:32:13 localhost shepherd[1]: Service sshd-8 has been disabled.=20
Oct  4 07:32:13 localhost shepherd[1]: Transient service sshd-8 terminated,=
 now unregistered.=20
Oct  4 07:33:07 localhost shepherd[1]: Service ssh-daemon has been stopped.=
=20
Oct  4 07:34:15 localhost shepherd[1]: Service ssh-daemon has been started.=
=20
Oct  4 07:34:26 localhost shepherd[1]: Service sshd-1 has been started.=20
Oct  4 07:34:28 localhost sshd[239]: Accepted publickey for bob from 185.11=
5.7.223 port 29462 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fxK=
3d3Y
Oct  4 07:35:14 localhost shepherd[1]: Service sshd-2 has been started.=20
Oct  4 07:35:16 localhost sshd[258]: Accepted publickey for bob from 185.11=
5.7.223 port 29504 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fxK=
3d3Y
Oct  4 07:35:52 localhost shepherd[1]: 1 connection still in use after sshd=
-2 termination.=20
Oct  4 07:35:52 localhost shepherd[1]: Service sshd-2 has been disabled.=20
Oct  4 07:35:52 localhost shepherd[1]: Transient service sshd-2 terminated,=
 now unregistered.=20
Oct  4 07:36:13 localhost shepherd[1]: Service sshd-3 has been started.=20
Oct  4 07:36:14 localhost sshd[418]: Accepted publickey for bob from 185.11=
5.7.223 port 29463 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fxK=
3d3Y
Oct  4 07:36:52 localhost shepherd[1]: 1 connection still in use after sshd=
-3 termination.=20
Oct  4 07:36:52 localhost shepherd[1]: Service sshd-3 (PID 418) exited with=
 255.=20
Oct  4 07:36:52 localhost shepherd[1]: Service sshd-3 has been disabled.=20
Oct  4 07:36:52 localhost shepherd[1]: Transient service sshd-3 terminated,=
 now unregistered.=20
Oct  4 07:38:51 localhost shepherd[1]: Service ssh-daemon has been started.=
=20
Oct  4 07:38:58 localhost shepherd[1]: Service sshd-1 has been started.=20
Oct  4 07:39:00 localhost sshd[257]: Accepted publickey for bob from 185.11=
5.7.223 port 29563 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fxK=
3d3Y
Oct  4 07:40:14 localhost sshd[259]: Received disconnect from 185.115.7.223=
 port 29563:11: disconnected by user
Oct  4 07:40:14 localhost sshd[259]: Disconnected from user bob 185.115.7.2=
23 port 29563
Oct  4 07:40:14 localhost shepherd[1]: 0 connections still in use after ssh=
d-1 termination.=20
Oct  4 07:40:14 localhost shepherd[1]: Service sshd-1 (PID 257) exited with=
 255.=20
Oct  4 07:40:14 localhost shepherd[1]: Service sshd-1 has been disabled.=20
Oct  4 07:40:14 localhost shepherd[1]: Transient service sshd-1 terminated,=
 now unregistered.=20
Oct  4 07:40:31 localhost shepherd[1]: Service sshd-2 has been started.=20
Oct  4 07:40:33 localhost sshd[267]: Accepted publickey for bob from 185.11=
5.7.223 port 10488 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fxK=
3d3Y
Oct  4 07:40:43 localhost sshd[269]: Received disconnect from 185.115.7.223=
 port 10488:11: disconnected by user
Oct  4 07:40:43 localhost sshd[269]: Disconnected from user bob 185.115.7.2=
23 port 10488
Oct  4 07:40:43 localhost shepherd[1]: 0 connections still in use after ssh=
d-2 termination.=20
Oct  4 07:40:43 localhost shepherd[1]: Service sshd-2 (PID 267) exited with=
 255.=20
Oct  4 07:40:43 localhost shepherd[1]: Service sshd-2 has been disabled.=20
Oct  4 07:40:43 localhost shepherd[1]: Transient service sshd-2 terminated,=
 now unregistered.=20
Oct  4 07:41:03 localhost shepherd[1]: Service sshd-3 has been started.=20
Oct  4 07:41:05 localhost sshd[271]: Accepted publickey for bob from 185.11=
5.7.223 port 10368 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fxK=
3d3Y
Oct  4 07:41:10 localhost sshd[273]: Received disconnect from 185.115.7.223=
 port 10368:11: disconnected by user
Oct  4 07:41:10 localhost sshd[273]: Disconnected from user bob 185.115.7.2=
23 port 10368
Oct  4 07:41:10 localhost shepherd[1]: 0 connections still in use after ssh=
d-3 termination.=20
Oct  4 07:41:10 localhost shepherd[1]: Service sshd-3 (PID 271) exited with=
 255.=20
Oct  4 07:41:10 localhost shepherd[1]: Service sshd-3 has been disabled.=20
Oct  4 07:41:10 localhost shepherd[1]: Transient service sshd-3 terminated,=
 now unregistered.=20
Oct  4 07:41:13 localhost shepherd[1]: Service sshd-4 has been started.=20
Oct  4 07:41:16 localhost sshd[275]: Accepted publickey for bob from 201:2a=
73:cac3:e128:cf3d:8dc:8afa:df66 port 47302 ssh2: RSA SHA256:/X3jyhyMizAOKOj=
CfXK5cLN3Pa0vmi7dbQG+fxK3d3Y
Oct  4 07:41:19 localhost sshd[277]: Received disconnect from 201:2a73:cac3=
:e128:cf3d:8dc:8afa:df66 port 47302:11: disconnected by user
Oct  4 07:41:19 localhost sshd[277]: Disconnected from user bob 201:2a73:ca=
c3:e128:cf3d:8dc:8afa:df66 port 47302
Oct  4 07:41:19 localhost shepherd[1]: 0 connections still in use after ssh=
d-4 termination.=20
Oct  4 07:41:19 localhost shepherd[1]: Service sshd-4 (PID 275) exited with=
 255.=20
Oct  4 07:41:19 localhost shepherd[1]: Service sshd-4 has been disabled.=20
Oct  4 07:41:19 localhost shepherd[1]: Transient service sshd-4 terminated,=
 now unregistered.=20
Oct  4 07:41:24 localhost shepherd[1]: Service sshd-5 has been started.=20
Oct  4 07:41:26 localhost sshd[280]: Accepted publickey for bob from 201:2a=
73:cac3:e128:cf3d:8dc:8afa:df66 port 33450 ssh2: RSA SHA256:/X3jyhyMizAOKOj=
CfXK5cLN3Pa0vmi7dbQG+fxK3d3Y
Oct  4 07:42:39 localhost shepherd[1]: 0 connections still in use after ssh=
d-5 termination.=20
Oct  4 07:42:39 localhost shepherd[1]: Service sshd-5 has been disabled.=20
Oct  4 07:42:39 localhost shepherd[1]: Transient service sshd-5 terminated,=
 now unregistered.=20
Oct  4 07:43:20 localhost shepherd[1]: Service sshd-6 has been started.=20
Oct  4 07:43:22 localhost sshd[436]: Accepted publickey for bob from 201:2a=
73:cac3:e128:cf3d:8dc:8afa:df66 port 60366 ssh2: RSA SHA256:/X3jyhyMizAOKOj=
CfXK5cLN3Pa0vmi7dbQG+fxK3d3Y
Oct  4 07:44:08 localhost shepherd[1]: 0 connections still in use after ssh=
d-6 termination.=20
Oct  4 07:44:08 localhost shepherd[1]: Service sshd-6 (PID 436) exited with=
 255.=20
Oct  4 07:44:08 localhost shepherd[1]: Service sshd-6 has been disabled.=20
Oct  4 07:44:08 localhost shepherd[1]: Transient service sshd-6 terminated,=
 now unregistered.=20
Oct  4 07:44:23 localhost shepherd[1]: Service sshd-7 has been started.=20
Oct  4 07:44:25 localhost sshd[592]: Accepted publickey for bob from 201:2a=
73:cac3:e128:cf3d:8dc:8afa:df66 port 34526 ssh2: RSA SHA256:/X3jyhyMizAOKOj=
CfXK5cLN3Pa0vmi7dbQG+fxK3d3Y
Oct  4 07:44:56 localhost shepherd[1]: Service sshd-8 has been started.=20
Oct  4 07:44:57 localhost sshd[598]: Accepted publickey for bob from 201:2a=
73:cac3:e128:cf3d:8dc:8afa:df66 port 59492 ssh2: RSA SHA256:/X3jyhyMizAOKOj=
CfXK5cLN3Pa0vmi7dbQG+fxK3d3Y
Oct  4 07:45:42 localhost shepherd[1]: 1 connection still in use after sshd=
-8 termination.=20
Oct  4 07:45:42 localhost shepherd[1]: Service sshd-8 (PID 598) exited with=
 255.=20
Oct  4 07:45:42 localhost shepherd[1]: Service sshd-8 has been disabled.=20
Oct  4 07:45:42 localhost shepherd[1]: Transient service sshd-8 terminated,=
 now unregistered.=20
Oct  4 07:45:49 localhost shepherd[1]: Service sshd-9 has been started.=20
Oct  4 07:45:51 localhost sshd[754]: Accepted publickey for bob from 201:2a=
73:cac3:e128:cf3d:8dc:8afa:df66 port 56454 ssh2: RSA SHA256:/X3jyhyMizAOKOj=
CfXK5cLN3Pa0vmi7dbQG+fxK3d3Y
Oct  4 07:46:35 localhost shepherd[1]: 1 connection still in use after sshd=
-9 termination.=20
Oct  4 07:46:35 localhost shepherd[1]: Service sshd-9 has been disabled.=20
Oct  4 07:46:35 localhost shepherd[1]: Transient service sshd-9 terminated,=
 now unregistered.=20
Oct  4 07:46:52 localhost shepherd[1]: Service ssh-daemon has been stopped.=
=20
Oct  4 07:47:33 localhost shepherd[1]: Service ssh-daemon has been started.=
=20
Oct  4 07:48:24 localhost shepherd[1]: Service sshd-1 has been started.=20
Oct  4 07:48:26 localhost sshd[239]: Accepted publickey for bob from 185.11=
5.7.223 port 29446 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fxK=
3d3Y
Oct  4 07:49:13 localhost shepherd[1]: Service sshd-2 has been started.=20
Oct  4 07:49:15 localhost sshd[253]: Accepted publickey for bob from 185.11=
5.7.223 port 29550 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fxK=
3d3Y
Oct  4 07:49:54 localhost shepherd[1]: 1 connection still in use after sshd=
-2 termination.=20
Oct  4 07:49:54 localhost shepherd[1]: Service sshd-2 (PID 253) exited with=
 255.=20
Oct  4 07:49:54 localhost shepherd[1]: Service sshd-2 has been disabled.=20
Oct  4 07:49:54 localhost shepherd[1]: Transient service sshd-2 terminated,=
 now unregistered.=20
Oct  4 07:50:56 localhost shepherd[1]: Service sshd-3 has been started.=20
Oct  4 07:50:58 localhost sshd[405]: Accepted publickey for bob from 185.11=
5.7.223 port 10382 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fxK=
3d3Y
Oct  4 07:51:01 localhost shepherd[1]: Service sshd-1 has been stopped.=20
Oct  4 07:51:01 localhost shepherd[1]: Transient service sshd-1 unregistere=
d.=20
Oct  4 07:52:54 localhost shepherd[1]: Service ssh-daemon has been started.=
=20
Oct  4 07:52:56 localhost shepherd[1]: Service sshd-1 has been started.=20
Oct  4 07:52:57 localhost sshd[238]: Accepted publickey for bob from 185.11=
5.7.223 port 10479 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fxK=
3d3Y
Oct  4 07:53:22 localhost shepherd[1]: Service sshd-2 has been started.=20
Oct  4 07:53:24 localhost sshd[246]: Accepted publickey for bob from 185.11=
5.7.223 port 10482 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fxK=
3d3Y
Oct  4 07:53:59 localhost sshd[248]: error: no more sessions
Oct  4 07:53:59 localhost shepherd[1]: 1 connection still in use after sshd=
-2 termination.=20
Oct  4 07:53:59 localhost shepherd[1]: Service sshd-2 has been disabled.=20
Oct  4 07:53:59 localhost shepherd[1]: Transient service sshd-2 terminated,=
 now unregistered.=20
Oct  4 07:56:18 localhost shepherd[1]: Service sshd-3 has been started.=20
Oct  4 07:56:20 localhost sshd[368]: Accepted publickey for bob from 185.11=
5.7.223 port 25376 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fxK=
3d3Y
Oct  4 07:56:24 localhost shepherd[1]: Service ssh-daemon has been stopped.=
=20
Oct  4 07:57:09 localhost shepherd[1]: Service ssh-daemon has been started.=
=20
Oct  4 07:57:11 localhost shepherd[1]: Service sshd-1 has been started.=20
Oct  4 07:57:12 localhost sshd[237]: Accepted publickey for bob from 185.11=
5.7.223 port 25371 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fxK=
3d3Y
Oct  4 07:57:22 localhost shepherd[1]: Service sshd-2 has been started.=20
Oct  4 07:57:23 localhost sshd[245]: Accepted publickey for bob from 185.11=
5.7.223 port 29507 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fxK=
3d3Y
Oct  4 07:57:56 localhost sshd[247]: error: no more sessions
Oct  4 07:57:56 localhost shepherd[1]: 1 connection still in use after sshd=
-2 termination.=20
Oct  4 07:57:56 localhost shepherd[1]: Service sshd-2 (PID 245) exited with=
 255.=20
Oct  4 07:57:56 localhost shepherd[1]: Service sshd-2 has been disabled.=20
Oct  4 07:57:56 localhost shepherd[1]: Transient service sshd-2 terminated,=
 now unregistered.=20
Oct  4 07:58:19 localhost shepherd[1]: Service sshd-3 has been started.=20
Oct  4 07:58:20 localhost sshd[368]: Accepted publickey for bob from 185.11=
5.7.223 port 29460 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fxK=
3d3Y
Oct  4 07:58:49 localhost sshd[370]: error: no more sessions
Oct  4 07:58:49 localhost shepherd[1]: 1 connection still in use after sshd=
-3 termination.=20
Oct  4 07:58:49 localhost shepherd[1]: Service sshd-3 has been disabled.=20
Oct  4 07:58:49 localhost shepherd[1]: Transient service sshd-3 terminated,=
 now unregistered.=20
Oct  4 08:00:15 localhost shepherd[1]: Service sshd-4 has been started.=20
Oct  4 08:00:17 localhost sshd[485]: Accepted publickey for bob from 185.11=
5.7.223 port 10372 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fxK=
3d3Y
Oct  4 08:00:26 localhost sshd[239]: Received disconnect from 185.115.7.223=
 port 25371:11: disconnected by user
Oct  4 08:00:26 localhost sshd[239]: Disconnected from user bob 185.115.7.2=
23 port 25371
Oct  4 08:00:26 localhost shepherd[1]: 1 connection still in use after sshd=
-1 termination.=20
Oct  4 08:00:26 localhost shepherd[1]: Service sshd-1 (PID 237) exited with=
 255.=20
Oct  4 08:00:26 localhost shepherd[1]: Service sshd-1 has been disabled.=20
Oct  4 08:00:26 localhost shepherd[1]: Transient service sshd-1 terminated,=
 now unregistered.=20
Oct  4 08:00:51 localhost sshd[487]: error: no more sessions
Oct  4 08:00:51 localhost shepherd[1]: 0 connections still in use after ssh=
d-4 termination.=20
Oct  4 08:00:51 localhost shepherd[1]: Service sshd-4 (PID 485) exited with=
 255.=20
Oct  4 08:00:51 localhost shepherd[1]: Service sshd-4 has been disabled.=20
Oct  4 08:00:51 localhost shepherd[1]: Transient service sshd-4 terminated,=
 now unregistered.=20
Oct  4 08:19:30 localhost shepherd[1]: Service sshd-5 has been started.=20
Oct  4 08:19:32 localhost sshd[609]: Accepted publickey for bob from 176.22=
1.231.220 port 43732 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+f=
xK3d3Y
Oct  4 08:21:49 localhost shepherd[1]: Service sshd-6 has been started.=20
Oct  4 08:21:53 localhost sshd[621]: Accepted publickey for bob from 176.22=
1.231.220 port 51448 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+f=
xK3d3Y
Oct  4 08:23:42 localhost shepherd[1]: Service sshd-7 has been started.=20
Oct  4 08:23:43 localhost sshd[630]: Accepted publickey for bob from 185.70=
.53.164 port 29603 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fxK=
3d3Y
Oct  4 08:24:13 localhost sshd[632]: error: no more sessions
Oct  4 08:24:13 localhost shepherd[1]: 2 connections still in use after ssh=
d-7 termination.=20
Oct  4 08:24:13 localhost shepherd[1]: Service sshd-7 has been disabled.=20
Oct  4 08:24:13 localhost shepherd[1]: Transient service sshd-7 terminated,=
 now unregistered.=20
Oct  4 08:24:36 localhost shepherd[1]: Service sshd-8 has been started.=20
Oct  4 08:24:38 localhost sshd[752]: Accepted publickey for bob from 185.70=
.53.164 port 29677 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fxK=
3d3Y
Oct  4 08:25:05 localhost shepherd[1]: 2 connections still in use after ssh=
d-8 termination.=20
Oct  4 08:25:05 localhost shepherd[1]: Service sshd-8 has been disabled.=20
Oct  4 08:25:05 localhost shepherd[1]: Transient service sshd-8 terminated,=
 now unregistered.=20
Oct  4 08:29:46 localhost shepherd[1]: Service sshd-9 has been started.=20
Oct  4 08:29:47 localhost sshd[900]: Accepted publickey for bob from 185.70=
.53.164 port 29693 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fxK=
3d3Y
Oct  4 08:30:15 localhost shepherd[1]: 2 connections still in use after ssh=
d-9 termination.=20
Oct  4 08:30:15 localhost shepherd[1]: Service sshd-9 (PID 900) exited with=
 255.=20
Oct  4 08:30:15 localhost shepherd[1]: Service sshd-9 has been disabled.=20
Oct  4 08:30:15 localhost shepherd[1]: Transient service sshd-9 terminated,=
 now unregistered.=20
Oct  4 08:34:22 localhost shepherd[1]: Service sshd-10 has been started.=20
Oct  4 08:34:23 localhost sshd[1049]: Accepted publickey for bob from 185.7=
0.53.164 port 44181 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fx=
K3d3Y
Oct  4 08:34:24 localhost shepherd[1]: Service ssh-daemon has been stopped.=
=20
Oct  4 08:35:14 localhost shepherd[1]: Service ssh-daemon has been started.=
=20
Oct  4 08:35:46 localhost shepherd[1]: Service sshd-1 has been started.=20
Oct  4 08:35:48 localhost sshd[259]: Accepted publickey for bob from 185.70=
.53.164 port 29608 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fxK=
3d3Y
Oct  4 08:35:51 localhost shepherd[1]: Service sshd-2 has been started.=20
Oct  4 08:35:53 localhost sshd[264]: Accepted publickey for bob from 201:2a=
73:cac3:e128:cf3d:8dc:8afa:df66 port 54908 ssh2: RSA SHA256:/X3jyhyMizAOKOj=
CfXK5cLN3Pa0vmi7dbQG+fxK3d3Y
Oct  4 08:36:33 localhost shepherd[1]: Service sshd-3 has been started.=20
Oct  4 08:36:34 localhost sshd[274]: Accepted publickey for bob from 185.70=
.53.164 port 44804 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fxK=
3d3Y
Oct  4 08:37:05 localhost shepherd[1]: 2 connections still in use after ssh=
d-3 termination.=20
Oct  4 08:37:05 localhost shepherd[1]: Service sshd-3 has been disabled.=20
Oct  4 08:37:05 localhost shepherd[1]: Transient service sshd-3 terminated,=
 now unregistered.=20
Oct  4 08:37:18 localhost shepherd[1]: Service sshd-4 has been started.=20
Oct  4 08:37:20 localhost sshd[424]: Accepted publickey for bob from 185.70=
.53.164 port 44907 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fxK=
3d3Y
Oct  4 08:38:09 localhost shepherd[1]: Service ssh-daemon has been started.=
=20
Oct  4 08:38:28 localhost shepherd[1]: Service sshd-1 has been started.=20
Oct  4 08:38:29 localhost sshd[239]: Accepted publickey for bob from 185.70=
.53.164 port 29582 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fxK=
3d3Y
Oct  4 08:39:05 localhost shepherd[1]: Service sshd-2 has been started.=20
Oct  4 08:39:06 localhost sshd[248]: Accepted publickey for bob from 185.70=
.53.164 port 44208 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fxK=
3d3Y
Oct  4 08:39:21 localhost shepherd[1]: 1 connection still in use after sshd=
-2 termination.=20
Oct  4 08:39:21 localhost shepherd[1]: Service sshd-2 has been disabled.=20
Oct  4 08:39:21 localhost shepherd[1]: Transient service sshd-2 terminated,=
 now unregistered.=20
Oct  4 08:39:53 localhost shepherd[1]: Service sshd-3 has been started.=20
Oct  4 08:39:54 localhost sshd[309]: Accepted publickey for bob from 185.70=
.53.164 port 44253 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fxK=
3d3Y
Oct  4 08:40:22 localhost shepherd[1]: 1 connection still in use after sshd=
-3 termination.=20
Oct  4 08:40:22 localhost shepherd[1]: Service sshd-3 (PID 309) exited with=
 255.=20
Oct  4 08:40:22 localhost shepherd[1]: Service sshd-3 has been disabled.=20
Oct  4 08:40:22 localhost shepherd[1]: Transient service sshd-3 terminated,=
 now unregistered.=20
Oct  4 08:42:19 localhost shepherd[1]: Service ssh-daemon has been started.=
=20
Oct  4 08:42:22 localhost shepherd[1]: Service sshd-1 has been started.=20
Oct  4 08:42:24 localhost sshd[254]: Accepted publickey for bob from 185.70=
.53.164 port 29687 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fxK=
3d3Y
Oct  4 08:46:41 localhost shepherd[1]: Service sshd-2 has been started.=20
Oct  4 08:46:44 localhost sshd[267]: Accepted publickey for bob from 201:2a=
73:cac3:e128:cf3d:8dc:8afa:df66 port 48908 ssh2: RSA SHA256:/X3jyhyMizAOKOj=
CfXK5cLN3Pa0vmi7dbQG+fxK3d3Y
Oct  4 08:48:49 localhost sshd[256]: Received disconnect from 185.70.53.164=
 port 29687:11: disconnected by user
Oct  4 08:48:49 localhost sshd[256]: Disconnected from user bob 185.70.53.1=
64 port 29687
Oct  4 08:48:49 localhost shepherd[1]: 1 connection still in use after sshd=
-1 termination.=20
Oct  4 08:48:49 localhost shepherd[1]: Service sshd-1 (PID 254) exited with=
 255.=20
Oct  4 08:48:49 localhost shepherd[1]: Service sshd-1 has been disabled.=20
Oct  4 08:48:49 localhost shepherd[1]: Transient service sshd-1 terminated,=
 now unregistered.=20
Oct  4 11:03:31 localhost shepherd[1]: 0 connections still in use after ssh=
d-2 termination.=20
Oct  4 11:03:31 localhost shepherd[1]: Service sshd-2 (PID 267) exited with=
 255.=20
Oct  4 11:03:31 localhost shepherd[1]: Service sshd-2 has been disabled.=20
Oct  4 11:03:31 localhost shepherd[1]: Transient service sshd-2 terminated,=
 now unregistered.=20
Oct  4 11:45:49 localhost shepherd[1]: Service sshd-3 has been started.=20
Oct  4 11:45:51 localhost sshd[294]: Accepted publickey for bob from 185.70=
.53.164 port 29659 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fxK=
3d3Y
Oct  4 11:47:35 localhost shepherd[1]: Service sshd-4 has been started.=20
Oct  4 11:47:37 localhost sshd[306]: Accepted publickey for bob from 185.70=
.53.164 port 1907 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fxK3=
d3Y
Oct  4 11:47:49 localhost shepherd[1]: Service sshd-5 has been started.=20
Oct  4 11:47:52 localhost sshd[347]: Accepted publickey for bob from 201:2a=
73:cac3:e128:cf3d:8dc:8afa:df66 port 55988 ssh2: RSA SHA256:/X3jyhyMizAOKOj=
CfXK5cLN3Pa0vmi7dbQG+fxK3d3Y
Oct  4 11:48:15 localhost shepherd[1]: 2 connections still in use after ssh=
d-4 termination.=20
Oct  4 11:48:15 localhost shepherd[1]: Service sshd-4 has been disabled.=20
Oct  4 11:48:15 localhost shepherd[1]: Transient service sshd-4 terminated,=
 now unregistered.=20
Oct  4 11:49:03 localhost shepherd[1]: Service sshd-5 has been stopped.=20
Oct  4 11:49:03 localhost shepherd[1]: Transient service sshd-5 unregistere=
d.=20
Oct  4 11:50:46 localhost shepherd[1]: Service ssh-daemon has been started.=
=20
Oct  4 11:50:53 localhost shepherd[1]: Service sshd-1 has been started.=20
Oct  4 11:50:55 localhost sshd[238]: Accepted publickey for bob from 185.70=
.53.164 port 29589 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fxK=
3d3Y
Oct  4 11:51:49 localhost shepherd[1]: Service sshd-2 has been started.=20
Oct  4 11:51:50 localhost sshd[250]: Accepted publickey for bob from 185.70=
.53.164 port 1915 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fxK3=
d3Y
Oct  4 11:52:28 localhost sshd[252]: error: no more sessions
Oct  4 11:52:28 localhost shepherd[1]: 1 connection still in use after sshd=
-2 termination.=20
Oct  4 11:52:28 localhost shepherd[1]: Service sshd-2 has been disabled.=20
Oct  4 11:52:28 localhost shepherd[1]: Transient service sshd-2 terminated,=
 now unregistered.=20
Oct  4 11:52:46 localhost shepherd[1]: Service sshd-3 has been started.=20
Oct  4 11:52:48 localhost sshd[380]: Accepted publickey for bob from 185.70=
.53.164 port 3549 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fxK3=
d3Y
Oct  4 11:53:22 localhost shepherd[1]: 1 connection still in use after sshd=
-3 termination.=20
Oct  4 11:53:22 localhost shepherd[1]: Service sshd-3 (PID 380) exited with=
 255.=20
Oct  4 11:53:22 localhost shepherd[1]: Service sshd-3 has been disabled.=20
Oct  4 11:53:22 localhost shepherd[1]: Transient service sshd-3 terminated,=
 now unregistered.=20
Oct  4 12:05:47 localhost shepherd[1]: Service sshd-4 has been started.=20
Oct  4 12:05:48 localhost sshd[668]: Accepted publickey for bob from 185.70=
.53.164 port 1847 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fxK3=
d3Y
Oct  4 12:06:21 localhost shepherd[1]: 1 connection still in use after sshd=
-4 termination.=20
Oct  4 12:06:21 localhost shepherd[1]: Service sshd-4 (PID 668) exited with=
 255.=20
Oct  4 12:06:21 localhost shepherd[1]: Service sshd-4 has been disabled.=20
Oct  4 12:06:21 localhost shepherd[1]: Transient service sshd-4 terminated,=
 now unregistered.=20
Oct  4 12:06:39 localhost shepherd[1]: Service ssh-daemon has been stopped.=
=20
Oct  4 12:10:31 localhost shepherd[1]: Service ssh-daemon has been started.=
=20
Oct  4 12:10:41 localhost shepherd[1]: Service sshd-1 has been started.=20
Oct  4 12:10:43 localhost sshd[258]: Accepted publickey for bob from 185.70=
.53.164 port 1914 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fxK3=
d3Y
Oct  4 12:11:25 localhost shepherd[1]: Service sshd-2 has been started.=20
Oct  4 12:11:27 localhost sshd[283]: Accepted publickey for bob from 201:2a=
73:cac3:e128:cf3d:8dc:8afa:df66 port 43872 ssh2: RSA SHA256:/X3jyhyMizAOKOj=
CfXK5cLN3Pa0vmi7dbQG+fxK3d3Y
Oct  4 12:11:54 localhost shepherd[1]: Service sshd-3 has been started.=20
Oct  4 12:11:58 localhost sshd[286]: Accepted publickey for bob from 185.70=
.53.164 port 29596 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fxK=
3d3Y
Oct  4 12:12:54 localhost shepherd[1]: 2 connections still in use after ssh=
d-3 termination.=20
Oct  4 12:12:54 localhost shepherd[1]: Service sshd-3 (PID 286) exited with=
 255.=20
Oct  4 12:12:54 localhost shepherd[1]: Service sshd-3 has been disabled.=20
Oct  4 12:12:54 localhost shepherd[1]: Transient service sshd-3 terminated,=
 now unregistered.=20
Oct  4 12:14:10 localhost shepherd[1]: Service sshd-4 has been started.=20
Oct  4 12:14:11 localhost sshd[461]: Accepted publickey for bob from 185.70=
.53.164 port 29693 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fxK=
3d3Y
Oct  4 12:14:49 localhost shepherd[1]: 2 connections still in use after ssh=
d-4 termination.=20
Oct  4 12:14:49 localhost shepherd[1]: Service sshd-4 (PID 461) exited with=
 255.=20
Oct  4 12:14:49 localhost shepherd[1]: Service sshd-4 has been disabled.=20
Oct  4 12:14:49 localhost shepherd[1]: Transient service sshd-4 terminated,=
 now unregistered.=20
Oct  4 12:15:25 localhost shepherd[1]: Service ssh-daemon has been stopped.=
=20
Oct  4 12:17:34 localhost shepherd[1]: Service ssh-daemon has been started.=
=20
Oct  4 12:17:56 localhost shepherd[1]: Service sshd-1 has been started.=20
Oct  4 12:17:58 localhost sshd[256]: Accepted publickey for bob from 185.70=
.53.164 port 29656 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fxK=
3d3Y
Oct  4 12:19:46 localhost shepherd[1]: Service sshd-2 has been started.=20
Oct  4 12:19:48 localhost sshd[262]: Accepted publickey for bob from 185.70=
.53.164 port 1871 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fxK3=
d3Y
Oct  4 12:20:23 localhost sshd[264]: error: no more sessions
Oct  4 12:20:23 localhost shepherd[1]: 1 connection still in use after sshd=
-2 termination.=20
Oct  4 12:20:23 localhost shepherd[1]: Service sshd-2 has been disabled.=20
Oct  4 12:20:23 localhost shepherd[1]: Transient service sshd-2 terminated,=
 now unregistered.=20
Oct  4 12:30:09 localhost shepherd[1]: Service sshd-3 has been started.=20
Oct  4 12:30:11 localhost sshd[389]: Accepted publickey for bob from 185.70=
.53.164 port 29601 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fxK=
3d3Y
Oct  4 12:30:46 localhost shepherd[1]: 1 connection still in use after sshd=
-3 termination.=20
Oct  4 12:30:46 localhost shepherd[1]: Service sshd-3 (PID 389) exited with=
 255.=20
Oct  4 12:30:46 localhost shepherd[1]: Service sshd-3 has been disabled.=20
Oct  4 12:30:46 localhost shepherd[1]: Transient service sshd-3 terminated,=
 now unregistered.=20
Oct  4 12:44:29 localhost shepherd[1]: Service sshd-4 has been started.=20
Oct  4 12:44:31 localhost sshd[540]: Accepted publickey for bob from 185.70=
.53.164 port 1209 ssh2: RSA SHA256:/X3jyhyMizAOKOjCfXK5cLN3Pa0vmi7dbQG+fxK3=
d3Y
Oct  4 12:46:33 localhost shepherd[1]: Service sshd-5 has been started.=20
Oct  4 12:46:34 localhost sshd[550]: Accepted publickey for bob from 201:2a=
73:cac3:e128:cf3d:8dc:8afa:df66 port 56270 ssh2: RSA SHA256:/X3jyhyMizAOKOj=
CfXK5cLN3Pa0vmi7dbQG+fxK3d3Y
Oct  4 12:47:17 localhost shepherd[1]: 2 connections still in use after ssh=
d-5 termination.=20
Oct  4 12:47:17 localhost shepherd[1]: Service sshd-5 (PID 550) exited with=
 255.=20
Oct  4 12:47:17 localhost shepherd[1]: Service sshd-5 has been disabled.=20
Oct  4 12:47:17 localhost shepherd[1]: Transient service sshd-5 terminated,=
 now unregistered.=20
Oct  4 13:28:20 localhost shepherd[1]: Service sshd-6 has been started.=20
Oct  4 13:28:22 localhost sshd[713]: Accepted publickey for bob from 201:2a=
73:cac3:e128:cf3d:8dc:8afa:df66 port 42030 ssh2: RSA SHA256:/X3jyhyMizAOKOj=
CfXK5cLN3Pa0vmi7dbQG+fxK3d3Y
Oct  4 14:29:39 localhost shepherd[1]: 2 connections still in use after ssh=
d-1 termination.=20
Oct  4 14:29:39 localhost shepherd[1]: Service sshd-1 (PID 256) exited with=
 255.=20
Oct  4 14:29:39 localhost shepherd[1]: Service sshd-1 has been disabled.=20
Oct  4 14:29:39 localhost shepherd[1]: Transient service sshd-1 terminated,=
 now unregistered.=20
Oct  4 14:57:54 localhost shepherd[1]: 1 connection still in use after sshd=
-4 termination.=20
Oct  4 14:57:54 localhost shepherd[1]: Service sshd-4 (PID 540) exited with=
 255.=20
Oct  4 14:57:54 localhost shepherd[1]: Service sshd-4 has been disabled.=20
Oct  4 14:57:54 localhost shepherd[1]: Transient service sshd-4 terminated,=
 now unregistered.=20
Oct  4 17:41:45 localhost shepherd[1]: 0 connections still in use after ssh=
d-6 termination.=20
Oct  4 17:41:45 localhost shepherd[1]: Service sshd-6 (PID 713) exited with=
 255.=20
Oct  4 17:41:45 localhost shepherd[1]: Service sshd-6 has been disabled.=20
Oct  4 17:41:45 localhost shepherd[1]: Transient service sshd-6 terminated,=
 now unregistered.=20
=2D-8<---------------cut here---------------end--------------->8---

=2D-=20
Best regards,
Andrew Tropin

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEKEGaxlA4dEDH6S/6IgjSCVjB3rAFAmNJBXgACgkQIgjSCVjB
3rAJNA//R63FpeXwzUZQr4SUG/2DS0BtRipxwfekAfZaobqeRmNqNTeg/2MBROfL
KgPue2NYOPyxbsZMKGNEMFMgsKRLPd6sVG3d61HEx/W6aI+f1PONZBYkqJlfhbaQ
r6DR3w/hfejDuH1pNJ/wADeAC5qN5HAcdOjBNVW+qFoYihjJZ38rGyX9AcVw78vY
0ruMUkolKRtN9I8IKn2ziFBq8BUbs+f4BE5wrRMn3Qzgk7857AjMxmI0TT393oHt
jU0Bl85faLWSRlSuQq5CIsXOjtJp8nnRsIW+9irtUnUZSURW3Rtc82d0BwrPIQ67
6m3lY2Vzb/HFqhoWZBhPSQrYrJ4ahqLKemY8q5vEczxid/gOivald4XTgWG9aqkr
csavvFTeqkNbVOofFLmtm27LTC+rcLUsEcyr42jqcnuTpd0Si+MF3MCGyAxWrz3g
pZdJuA4slaoqO0okfcrQIaA1ZshtieTgri/0kOIOvXoDIqfFh+fYsHVyoy6+TsOf
YnQtCwEX6Y/5bPZRBkP5PPUcP8BJ0KBSO+ni9Uhm9lC6RWMIMJb685406io4RWoh
y4PBCIH98IDyJzUpi1ZDzRgMdmREgRlI6I+X6GDbbZrbRuzuLp0tAEzkxroYux0z
CMjBy3emSy5GJ3q42iCDxdUOpJh2VogYrOyOc76HME3BfhzcF9s=
=ekjf
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#58290; Package guix. Full text available.

Message received at 58290 <at> debbugs.gnu.org:


Received: (at 58290) by debbugs.gnu.org; 8 Oct 2022 12:40:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 08 08:40:02 2022
Received: from localhost ([127.0.0.1]:38541 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oh97Z-0001Ci-Vw
	for submit <at> debbugs.gnu.org; Sat, 08 Oct 2022 08:40:02 -0400
Received: from eggs.gnu.org ([209.51.188.92]:54356)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1oh97X-0001CF-D8
 for 58290 <at> debbugs.gnu.org; Sat, 08 Oct 2022 08:40:00 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:47898)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1oh97S-0006Od-0B; Sat, 08 Oct 2022 08:39:54 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=vv2bQA/O6tZ66KKR/HjHKZyWSj7DgpAuDYwrVo6AH14=; b=lbKhTikCXndzwn2M4P+w
 fE4zA2JC9UXv0uyd6/tCZAmMfQaR8aHw0e1vlaLLCUBYc593yQ1asRQx9flqzMHT39fLeyCLDqggJ
 PMUkDtyxwexS42SUfMnFMvoD4z2eMK4kzSB26++E86cNWw4RQGvyR777qX7LMum+qiJVHkbCitEju
 0n86daHv5OpOkK3ZkujVMlsN61QcU/P+xN9d/R2SUnLrxH/iYvrlTCpjjlJME5UiH3SqNXzw5MSXB
 tJS5YJMDypsLcseeL5K3ZjajEcac2Cb3SeeNHklfm69WXw/9mlMpLCGg/uiS6BQEVEW7Tijcg5pxQ
 LvG0M6jHfC9bKA==;
Received: from 91-160-117-201.subs.proxad.net ([91.160.117.201]:64968
 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1oh97R-0003gF-In; Sat, 08 Oct 2022 08:39:53 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Andrew Tropin <andrew@HIDDEN>
Subject: Re: bug#58290: guile ssh error on guix deploy
References: <87sfk34zhj.fsf@HIDDEN>
Date: Sat, 08 Oct 2022 14:39:52 +0200
In-Reply-To: <87sfk34zhj.fsf@HIDDEN> (Andrew Tropin's message of "Tue, 04 Oct
 2022 15:09:12 +0400")
Message-ID: <87bkqm8p5z.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58290
Cc: 58290 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi!

Andrew Tropin <andrew@HIDDEN> skribis:

> From time to time I get the following error, the only thing I change is
> IPv6 config in static-networking service.  Sometimes it fails, but after
> a few more attempts with the same config it deploys sucessfully.
>
> -*- mode: compilation; default-directory: "~/work/abcdw/trop.in/" -*-
> Compilation started at Tue Oct  4 14:19:46
>
> make -k deploy-pinky
> guix deploy ./guix/pinky.scm

[...]

> In guix/ssh.scm:
>     376:2  7 (send-files #<store-connection 256.99 7f7d1207b3c0> _ # =E2=
=80=A6)
>     222:5  6 (remote-run (begin (use-modules (guix) (srfi #) # #) =E2=80=
=A6) #)
> In ssh/popen.scm:
>      64:4  5 (open-remote-pipe* _ "r+" _ . _)
> In unknown file:
>            4 (channel-open-session #<input-output: channel (closed) =E2=
=80=A6>)
> In ice-9/boot-9.scm:
>   1685:16  3 (raise-exception _ #:continuable? _)
>   1683:16  2 (raise-exception _ #:continuable? _)
>   1685:16  1 (raise-exception _ #:continuable? _)
>   1685:16  0 (raise-exception _ #:continuable? _)
>
> ice-9/boot-9.scm:1685:16: In procedure raise-exception:
> Throw to key `guile-ssh-error' with args `("channel-open-session" "Channe=
l opening failure: channel 67 error (2) open failed" #<input-output: channe=
l (closed) 7f7d1af9e140> #f)'.

Are there any hints from sshd in the /var/log/messages of that machine
as to why the connection was closed?

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#58290; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Oct 2022 11:09:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 04 07:09:41 2022
Received: from localhost ([127.0.0.1]:52680 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1offnu-0004Su-05
	for submit <at> debbugs.gnu.org; Tue, 04 Oct 2022 07:09:41 -0400
Received: from lists.gnu.org ([209.51.188.17]:42142)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andrew@HIDDEN>) id 1offnq-0004Sl-NE
 for submit <at> debbugs.gnu.org; Tue, 04 Oct 2022 07:09:35 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:57490)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <andrew@HIDDEN>) id 1offnn-0004YO-Mo
 for bug-guix@HIDDEN; Tue, 04 Oct 2022 07:09:34 -0400
Received: from relay2-d.mail.gandi.net ([2001:4b98:dc4:8::222]:61597)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <andrew@HIDDEN>) id 1offnk-0005Ad-3m
 for bug-guix@HIDDEN; Tue, 04 Oct 2022 07:09:31 -0400
Received: (Authenticated sender: andrew@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id D2B944000A
 for <bug-guix@HIDDEN>; Tue,  4 Oct 2022 11:09:17 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=trop.in; s=gm1;
 t=1664881760;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:content-type:content-type;
 bh=invUQMAOJY6eAdrebLr7TAEvPCvXXPMLbBdnjyF+DaE=;
 b=eTW99gtSHxqUOzbT8qoK36X1lqrq4/9hj2CyE/Loi2+DGvIJkk3iWPv5IkS9lzl0qVV9UR
 poywlhoXFEgPv4h6lH5mWPbvFx1KuafGiAVZH/W63aXTxoLJLGOkxZDCU0faeW7uSkG68/
 afJvyh2AMuY7F+Mf5/Bysv9l+ez69m6nRUuP+GvteNoN8hs3I/WT5nqCbKiLcSfio4M3gS
 3h83akizIpU6sxEuwBgs0Zkf4AUipa/N4z2leiRb1TaPLa0ShNm7Pe5+B45n7aToMye2v5
 SLF6zypApwzH4yw4w4bA08cLsDUrQuTYZMvmjBXqDp2nodlG0huCR6BIB9fJkQ==
From: Andrew Tropin <andrew@HIDDEN>
To: bug-guix@HIDDEN
Subject: guile ssh error on guix deploy
Date: Tue, 04 Oct 2022 15:09:12 +0400
Message-ID: <87sfk34zhj.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
Received-SPF: pass client-ip=2001:4b98:dc4:8::222; envelope-from=andrew@HIDDEN;
 helo=relay2-d.mail.gandi.net
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

From=20time to time I get the following error, the only thing I change is
IPv6 config in static-networking service.  Sometimes it fails, but after
a few more attempts with the same config it deploys sucessfully.

=2D-8<---------------cut here---------------start------------->8---
=2D*- mode: compilation; default-directory: "~/work/abcdw/trop.in/" -*-
Compilation started at Tue Oct  4 14:19:46

make -k deploy-pinky
guix deploy ./guix/pinky.scm
The following 1 machine will be deployed:
  pinky

guix deploy: deploying to pinky...
guix deploy: sending 0 store items (0 MiB) to '23.137.249.202'...
guix deploy: sending 0 store items (0 MiB) to '23.137.249.202'...
substitute: updating substitutes from 'https://substitutes.nonguix.org'... =
100.0%
substitute: updating substitutes from 'https://bordeaux.guix.gnu.org'... 10=
0.0%
substitute: updating substitutes from 'http://ci.guix.trop.in'... 100.0%
The following derivations will be built:
  /gnu/store/yzilvx4jr4s7174f6azxxbb5c24311xc-remote-exp.scm.drv
  /gnu/store/sqlbbg5z19h2ww86p8nzhfbnidsm5sag-switch-to-system.scm.drv
  /gnu/store/ayssizgz8i4mnk6p2yhilqgzwim4ql7j-system.drv
  /gnu/store/9fxf3gcgi07hg5nmhjvnvlhk6829h304-provenance.drv
  /gnu/store/djs7vabv5wr3inz3pva87wfw7ya10ajq-boot.drv
  /gnu/store/smmzsd1b9v4qmncvl0pl6f0nrasp39ks-activate.scm.drv
  /gnu/store/5hpm7v0xnqqilhj7qdg66cjkf8dvkimx-activate-service.scm.drv
  /gnu/store/g62yd6a8wd081w0y4jji83dbcxhiks3i-etc.drv

building /gnu/store/9fxf3gcgi07hg5nmhjvnvlhk6829h304-provenance.drv...
building /gnu/store/g62yd6a8wd081w0y4jji83dbcxhiks3i-etc.drv...
building /gnu/store/5hpm7v0xnqqilhj7qdg66cjkf8dvkimx-activate-service.scm.d=
rv...
building /gnu/store/smmzsd1b9v4qmncvl0pl6f0nrasp39ks-activate.scm.drv...
building /gnu/store/djs7vabv5wr3inz3pva87wfw7ya10ajq-boot.drv...
building /gnu/store/ayssizgz8i4mnk6p2yhilqgzwim4ql7j-system.drv...
building /gnu/store/sqlbbg5z19h2ww86p8nzhfbnidsm5sag-switch-to-system.scm.d=
rv...
building /gnu/store/yzilvx4jr4s7174f6azxxbb5c24311xc-remote-exp.scm.drv...
guix deploy: sending 10 store items (0 MiB) to '23.137.249.202'...
guix deploy: sending 0 store items (0 MiB) to '23.137.249.202'...
guix deploy: sending 0 store items (0 MiB) to '23.137.249.202'...
The following derivations will be built:
  /gnu/store/36rmj2xp0sd7lx0ndv8imkyxrh2lmmdy-remote-exp.scm.drv
  /gnu/store/823hs0g4wxdmfwmj6nn8smcnrp45a1g7-install-bootloader.scm.drv
  /gnu/store/0m7f6gg0d0iq6r99p40rw3m65z52fjiy-grub.cfg.drv

building /gnu/store/0m7f6gg0d0iq6r99p40rw3m65z52fjiy-grub.cfg.drv...
building /gnu/store/823hs0g4wxdmfwmj6nn8smcnrp45a1g7-install-bootloader.scm=
.drv...
building /gnu/store/36rmj2xp0sd7lx0ndv8imkyxrh2lmmdy-remote-exp.scm.drv...
;;; [2022/10/04 14:20:23.191118, 0] [GSSH ERROR] Channel opening failure: c=
hannel 67 error (2) open failed: #<input-output: channel (closed) 7f7d1af9e=
140>
Backtrace:
In guix/store.scm:
  1402:13 19 (map/accumulate-builds #<store-connection 256.99 7f7d1=E2=80=
=A6> =E2=80=A6)
  1377:11 18 (map/accumulate-builds #<store-connection 256.99 7f7d1=E2=80=
=A6> =E2=80=A6)
   1295:8 17 (call-with-build-handler #<procedure 7f7d15629ea0 at g=E2=80=
=A6> =E2=80=A6)
In ice-9/boot-9.scm:
  1752:10 16 (with-exception-handler _ _ #:unwind? _ # _)
In guix/scripts/deploy.scm:
    168:6 15 (_)
In guix/store.scm:
  2165:25 14 (run-with-store #<store-connection 256.99 7f7d143b0690> =E2=80=
=A6)
In gnu/machine/ssh.scm:
   506:32 13 (_ _)
In ice-9/boot-9.scm:
  1752:10 12 (with-exception-handler _ _ #:unwind? _ # _)
In gnu/machine/ssh.scm:
   506:32 11 (_)
In guix/store.scm:
  2165:25 10 (run-with-store #<store-connection 256.99 7f7d1207b3c0> =E2=80=
=A6)
In guix/remote.scm:
   138:10  9 (_ _)
In guix/store.scm:
  2037:38  8 (_ #<store-connection 256.99 7f7d1207b3c0>)
In guix/ssh.scm:
    376:2  7 (send-files #<store-connection 256.99 7f7d1207b3c0> _ # =E2=80=
=A6)
    222:5  6 (remote-run (begin (use-modules (guix) (srfi #) # #) =E2=80=A6=
) #)
In ssh/popen.scm:
     64:4  5 (open-remote-pipe* _ "r+" _ . _)
In unknown file:
           4 (channel-open-session #<input-output: channel (closed) =E2=80=
=A6>)
In ice-9/boot-9.scm:
  1685:16  3 (raise-exception _ #:continuable? _)
  1683:16  2 (raise-exception _ #:continuable? _)
  1685:16  1 (raise-exception _ #:continuable? _)
  1685:16  0 (raise-exception _ #:continuable? _)

ice-9/boot-9.scm:1685:16: In procedure raise-exception:
Throw to key `guile-ssh-error' with args `("channel-open-session" "Channel =
opening failure: channel 67 error (2) open failed" #<input-output: channel =
(closed) 7f7d1af9e140> #f)'.
make: *** [Makefile:28: deploy-pinky] Error 1

Compilation exited abnormally with code 2 at Tue Oct  4 14:20:23
=2D-8<---------------cut here---------------end--------------->8---

=2D-=20
Best regards,
Andrew Tropin

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEKEGaxlA4dEDH6S/6IgjSCVjB3rAFAmM8FFkACgkQIgjSCVjB
3rCMmg/7BujBW2WmTY5VAIk1cCDgo4K17H7E5P3fqGmMKNMTUXsZys1fjcXKnAEt
4Hh/Uyize0bpXXwRIRHHGdeLVXyp5KpF7AhKXYZOS9CawFVwhL8/9MdDIX+FM+FE
mOKVgO5Y3qN4Onn7jHWzetayz8A8uKQjcZCWzhXPcXy/eBCoeQFof8TNZP5tbxpp
7VV+zD68WRx2Lg6OlvhpeZHf5q9msoMTJKj7pFIAOs0SrDn55/t1kSYcnYhPjUBx
Oo8RoG+UsCGC6beJGgfLY4bMe9cl6fV1VafoZgVDSdzDu4DDsAuRMINyUwCQl+7m
HV6HUYCyLu1MyM+fGlbdGY4f7tR9rvNWDzWNZeu6Yw02JjsfmR401BQpQ8uFzup2
dSLPMrTycEGALAfyywupW8+H6iDT2rYfNJ7ZGwkHWBN6MtBhUtLyU2fdbFX0YYqt
Q16CEWGcm+zIfO36tB/4/Bvma2mfEfZYswpyC5ylXOfPNX181k9r152VEhRfAFaJ
BVXisk9G82F8VheUduUEFJSOGbegulMBtEYFYrXCqLGEZKSL1Qq42pkGZjZsFaL2
/ZsgMiROY+SVnT2qAEldBxxrD32yvqudPcKYFhyKUTpMaCaHRt7eRpnHNfsHZWdv
HRLUNA7vP/Vyqunuvo/WQQ63TUjjidYDP8WCxoLpe4A53HC76Pw=
=2ZlB
-----END PGP SIGNATURE-----
--=-=-=--




Acknowledgement sent to Andrew Tropin <andrew@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#58290; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 18 Oct 2022 15:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.